Bug 1758242 (CVE-2019-17053) - CVE-2019-17053 kernel: unprivileged users able to create RAW sockets in AF_IEEE802154 network protocol.
Summary: CVE-2019-17053 kernel: unprivileged users able to create RAW sockets in AF_I...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-17053
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1779494 1804800 1758243 1779495 1779496 1779497
Blocks: 1758244
TreeView+ depends on / blocked
 
Reported: 2019-10-03 16:35 UTC by Dhananjay Arunesh
Modified: 2020-06-19 01:49 UTC (History)
48 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was discovered in the Linux kernel's AF_IEEE802154 networking module where permissions checks are not enforced. This can allow an unprivileged user to create raw sockets for this protocol leading to the potential for data leaks or system unavailability.
Clone Of:
Environment:
Last Closed: 2020-04-28 16:34:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:2052 None None None 2020-05-11 12:53:50 UTC
Red Hat Product Errata RHBA-2020:2626 None None None 2020-06-19 01:49:55 UTC
Red Hat Product Errata RHSA-2020:1567 None None None 2020-04-28 15:25:05 UTC
Red Hat Product Errata RHSA-2020:1769 None None None 2020-04-28 15:51:33 UTC

Description Dhananjay Arunesh 2019-10-03 16:35:19 UTC
A vulnerability was discovered in ieee802154_create in net/ieee802154/socket.c in the AF_IEEE802154 protocol module in the Linux kernel which did not enforcepermission checks. This could allow a local unprivileged user to create a raw socket.


Reference:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=e69dbd4619e7674c1679cba49afd9dd9ac347eef

Comment 1 Dhananjay Arunesh 2019-10-03 16:36:05 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1758243]

Comment 2 Fedora Update System 2019-10-25 18:07:02 UTC
kernel-5.3.6-100.fc29, kernel-headers-5.3.6-100.fc29, kernel-tools-5.3.6-100.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Eric Christensen 2019-12-05 18:25:46 UTC
Statement:

This flaw is rated as moderate; there are no known exploits using this mechanism as an attack surface against the system affected by this bug.

Comment 12 errata-xmlrpc 2020-04-28 15:25:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1567 https://access.redhat.com/errata/RHSA-2020:1567

Comment 13 errata-xmlrpc 2020-04-28 15:51:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1769 https://access.redhat.com/errata/RHSA-2020:1769

Comment 14 Product Security DevOps Team 2020-04-28 16:34:16 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-17053


Note You need to log in before you can comment on or make changes to this bug.